> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Step



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/onboarding/step
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/onboarding/step:
    patch:
      tags:
        - Onboarding
      summary: Step
      operationId: OnboardingController_step_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetOnboardingStepDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    SetOnboardingStepDto:
      type: object
      properties:
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        step:
          type: string
          enum:
            - intake
            - path
            - packages
            - payment
            - access
            - checklist
            - done
      required:
        - expectedVersion
        - step
      additionalProperties: false

````